#include <Servo.h>
#include <WebMonitor.h>
#include <DFRobot_QMC5883.h>

#define DECLINATION -0.353429173528852

#ifndef SERVO_H
#define SERVO_H

class ServoController {
    private:
        int headingDegrees;

        Servo HrzSrv;
        Servo VrtSrv;
        DFRobot_QMC5883 mag{&Wire, 0xD};

    public:
        void initServos();
        void initMag();
        void moveToAzAlt(float azimuth, float altitude);
        void moveToRADec();
        void updateHeading();
};

#endif
